summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlias Apalodimas <ilias.apalodimas@linaro.org>2018-10-24 13:26:00 +0300
committerIlias Apalodimas <ilias.apalodimas@linaro.org>2018-10-24 15:08:58 +0300
commit6ba53c5521e6b59662113bf6478f8c375142f63e (patch)
tree83093184dccc0e9f66e430345406e8811c797efe
parent84ca53091058c769304a4b7694d9f2b7b4739942 (diff)
Build latest iproute2 and support TAS schedulers
Signed-off-by: Ilias Apalodimas <ilias.apalodimas@linaro.org>
-rw-r--r--execs/tas.yaml27
-rw-r--r--multinodes/lng03-lng04-ubuntu-18.04.yaml13
-rwxr-xr-xscripts/build-dpdk.sh6
-rwxr-xr-xscripts/build-iproute2.sh27
-rwxr-xr-xscripts/build-odp.sh6
-rwxr-xr-xscripts/lava-common.sh2
6 files changed, 71 insertions, 10 deletions
diff --git a/execs/tas.yaml b/execs/tas.yaml
new file mode 100644
index 0000000..3881e35
--- /dev/null
+++ b/execs/tas.yaml
@@ -0,0 +1,27 @@
+metadata:
+ name: 802.1Qbv iproute2
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Install latest iproute2 with TAS support"
+ version: 1.0
+
+install:
+ deps:
+ - autotools-dev
+ - autoconf
+ - libtool
+ - autogen
+ - gcc
+ - git
+ - g++
+ - make
+ - libssl-dev
+ - libconfig-dev
+ - m4
+ - pkg-config
+ - locales-all
+ - libpcap-dev
+
+run:
+ steps:
+ - echo "Building iproute2"
+ - ./scripts/build-iproute2.sh
diff --git a/multinodes/lng03-lng04-ubuntu-18.04.yaml b/multinodes/lng03-lng04-ubuntu-18.04.yaml
index 122963a..d0f7604 100644
--- a/multinodes/lng03-lng04-ubuntu-18.04.yaml
+++ b/multinodes/lng03-lng04-ubuntu-18.04.yaml
@@ -57,10 +57,10 @@ actions:
url: http://people.linaro.org/~ilias.apalodimas/images/ubuntu-18.04/initrd.img-4.15.0-36-generic
compression: gz
os: debian
- protocols:
- lava-vland:
- - action: lava-vland-overlay
- request: deploy_vlans
+ #protocols:
+ #lava-vland:
+ #- action: lava-vland-overlay
+ #request: deploy_vlans
- boot:
role:
@@ -87,6 +87,11 @@ actions:
from: git
path: execs/ubuntu-build-essential.yaml
name: ubuntu-build-essential
+
+ - repository: https://git.linaro.org/people/ilias.apalodimas/lava-sessions.git/
+ from: git
+ path: execs/tas.yaml
+ name: TAS-scheduler
- repository: https://git.linaro.org/lava-team/hacking-session.git
from: git
diff --git a/scripts/build-dpdk.sh b/scripts/build-dpdk.sh
index 2702402..d139488 100755
--- a/scripts/build-dpdk.sh
+++ b/scripts/build-dpdk.sh
@@ -12,7 +12,7 @@ wget https://fast.dpdk.org/rel/dpdk-"$DPDK_VER".tar.xz -O "$DPDK_STATIC_TAR" &&
mkdir "$DPDK_DIR" && tar xf "$DPDK_STATIC_TAR" --strip 1 -C "$DPDK_DIR"
# terminate LAVA job if download failed
-[ $? -ne 0 ] && dpdk_lava_result 'DPDK_DOWNLOAD' 'FAILED' 'yes'
+[ $? -ne 0 ] && lava_result 'DPDK_DOWNLOAD' 'FAILED' 'yes'
# we usually run on Xeon/Thunderx, aadjust accordingly for future archs
case $arch in
@@ -25,10 +25,10 @@ case $arch in
cjobs=24
;;
*)
- dpdk_lava_result 'BUILD_ARCH' 'UNKNOWN_ARCH' 'yes'
+ lava_result 'BUILD_ARCH' 'UNKNOWN_ARCH' 'yes'
esac
cd "$DPDK_DIR"
make -j "$cjobs" install T="$dpdk_t" DESTDIR=./install
cd ..
-dpdk_lava_result 'DPDK_BUILD' 'OK' 'no'
+lava_result 'DPDK_BUILD' 'OK' 'no'
diff --git a/scripts/build-iproute2.sh b/scripts/build-iproute2.sh
new file mode 100755
index 0000000..6270b92
--- /dev/null
+++ b/scripts/build-iproute2.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+. scripts/lava-common.sh
+
+IPROUTE_CONF_OPTS='--prefix=./install'
+IPROUTE_REPO='git://git.kernel.org/pub/scm/network/iproute2/iproute2.git'
+
+git clone "$IPROUTE_REPO" && pushd iproute2 && git checkout master
+# terminate LAVA job if download failed
+[ $? -ne 0 ] && lava_result 'IPROUTE2_DOWNLOAD' 'FAILED' 'yes'
+
+# we usually run on Xeon/Thunderx, adjust accordingly for future archs
+arch=$(arch)
+case $arch in
+ aarch64)
+ cjobs=98
+ ;;
+ x86_64)
+ cjobs=24
+ ;;
+ *)
+ lava_result 'BUILD_ARCH' 'UNKNOWN_ARCH' 'yes'
+esac
+
+# already cd'ed in
+./configure "$IPROUTE_CONF_OPTS"
+make -j $cjobs install
diff --git a/scripts/build-odp.sh b/scripts/build-odp.sh
index ecaa636..5e6b6d0 100755
--- a/scripts/build-odp.sh
+++ b/scripts/build-odp.sh
@@ -1,11 +1,13 @@
#!/bin/sh
+. ./lava-comon.sh
+
ODP_VER='master'
ODP_CONF_OPTS='--enable-debug --enable-debug-print --prefix=./install'
git clone https://github.com/Linaro/odp.git && cd odp && git checkout master
# terminate LAVA job if download failed
-[ $? -ne 0 ] && dpdk_lava_result 'ODP_DOWNLOAD' 'FAILED' 'yes'
+[ $? -ne 0 ] && lava_result 'ODP_DOWNLOAD' 'FAILED' 'yes'
# we usually run on Xeon/Thunderx, aadjust accordingly for future archs
arch=$(arch)
@@ -17,7 +19,7 @@ case $arch in
cjobs=24
;;
*)
- dpdk_lava_result 'BUILD_ARCH' 'UNKNOWN_ARCH' 'yes'
+ lava_result 'BUILD_ARCH' 'UNKNOWN_ARCH' 'yes'
esac
# already cd'ed in
diff --git a/scripts/lava-common.sh b/scripts/lava-common.sh
index 331db0f..86c7f86 100755
--- a/scripts/lava-common.sh
+++ b/scripts/lava-common.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-dpdk_lava_result() {
+lava_result() {
reason=$1
result=$2
stop_session=$3